import java.util.Scanner;

public class BaseK {

    private static void solveBaseK(int n, int k) {
        /* Your code should set the first variable to true if n contains all k digits 
         * in base-k representation, and it should store the base-k representation of n
         * in the second variable. */
        boolean containsAllDigits = false;
        String basek_representation = "";

        /* ------------------- INSERT CODE HERE ---------------------*/

        int n_copy = n;

        boolean[] present = new boolean[k];

        for(int i = 0; i < k; i++)
            present[i] = false;

        if(n_copy != 0) {
            while(n_copy != 0) {
                int remainder = n_copy % k;

                present[remainder] = true;

                n_copy = (n_copy - remainder) / k;

                if(remainder < 10) {
                    basek_representation = remainder + basek_representation;
                } else {
                    basek_representation = ( (char) ('a' + (remainder - 10)) ) + basek_representation;
                }
            }

            containsAllDigits = true;

            for(int i = 0; i < k; i++)
                if(! present[i])
                    containsAllDigits = false;
        } else {
            basek_representation = "0";
            containsAllDigits = false;
        }


        /* -------------------- END OF INSERTION --------------------*/

        System.out.print("Base-" + k + " representation of " + n + " is " + basek_representation + "; ");
        if(containsAllDigits) {
            System.out.println("contains all digits.");
        } else {
            System.out.println("does not contain all digits.");
        }
    }
    
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);

        int numCases = sc.nextInt();

        for(int i = 0; i < numCases; i++) 
        {
            int n = sc.nextInt();

            int k = sc.nextInt();

            solveBaseK(n, k);
        }
    }

}

