import java.util.Scanner;

public class Decoder {
	private static String decode(String prefixCode, String code) {
		// prefixCode = encoding       (e.g., "*ab")
		// code = string to be decoded (e.g., "10110"
		// NOTE: can find character in string s at index i w/ s.charAt(i)

		String result = "";

		/* ------------------- INSERT CODE HERE ---------------------*/

		int idx = 0;
		for(int i = 0; i < code.length(); i++) 
		{
			if (code.charAt(i) == '0') {
				// compute index of left child of node at idx
				idx = (2*idx)+1;
			}
			else if (code.charAt(i) == '1') {
				// compute index of right child of node at idx
				idx = (2*idx)+2;
			}
			else {
				assert(false);
			}
			assert(idx < prefixCode.length());
			char c = prefixCode.charAt(idx);
			if (c != '*') {
				result = result + c;
				idx = 0;
			}
		}

		/* -------------------- END OF INSERTION --------------------*/

		return result;
	}

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		String resultStr = "";

		int numCases = sc.nextInt();

		for(int i = 0; i < numCases; i++) 
		{
			// format = <numCodes> <prefixCode> <code1> <code2> ...
			int numCodes = sc.nextInt();

			String prefixCode = sc.next();
			for(int k = 0; k < numCodes; k++) {
                if(k == 0) 
                    resultStr = decode(prefixCode, sc.next()); 
                else
                    resultStr = resultStr + " " + decode(prefixCode, sc.next()); 
            }
			System.out.println(resultStr);
		}
	}
}

